%define version 4.46.2
%define release 2
%define name    MailScanner

# http://dries.studentenweb.org/rpm/RPM-GPG-KEY.dries.txt
#	http://rpmforge.net/user/packages/perl-Net-CIDR/
#	http://rpmforge.net/user/packages/tnef/

Name:        %{name}
Version:     %{version}
Release:     %{release}
Summary:     E-Mail Gateway Virus Scanner and Spam Detector
Group:       System Environment/Daemons
License:     GPL
Packager:    Felix Schwarz <Felix.Schwarz@web.de>
URL:         http://www.mailscanner.info/
Requires:    smtpdaemon, perl, tnef >= 1.1.1, perl-MIME-tools, perl-Archive-Zip
Source:      %{name}-%{version}-%{release}.tar.gz
Source1:     buildconfig.tar.gz
Source2:     preparePackaging.sh
Source3:     MailScanner.init
Source4:     MailScanner.sysconfig
Patch0:      adapt_paths.patch
BuildRoot:   %{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch

%description
MailScanner is a freely distributable E-Mail gateway virus scanner and
spam detector. It uses Postfix, sendmail, ZMailer, Qmail or Exim as its basis,
and a choice of 22 commercial virus scanning engines to do the actual
virus scanning.  It can decode and scan attachments intended solely
for Microsoft Outlook users (MS-TNEF). If possible, it will disinfect
infected documents and deliver them automatically. It provides protection
against many security vulnerabilities in widely-used e-mail programs
such as Eudora and Microsoft Outlook. It will also selectively filter
the content of email messages to protect users from offensive content
such as pornographic spam. It also has features which protect it against
Denial Of Service attacks.

%prep
%setup -q
%setup -q -T -D -a 1

"$RPM_SOURCE_DIR/preparePackaging.sh" "${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}"
%patch0 -p1 


%build
make RPM_BUILD_ROOT="${RPM_BUILD_ROOT}"

%install
make RPM_BUILD_ROOT="${RPM_BUILD_ROOT}" install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install $RPM_SOURCE_DIR/MailScanner.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/MailScanner

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install $RPM_SOURCE_DIR/MailScanner.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/MailScanner


%clean

rm -rf ${RPM_BUILD_ROOT}

%pre

%post

%postun

%files
/etc/cron.daily/clean.quarantine
/etc/cron.hourly/check_MailScanner
/etc/cron.hourly/update_virus_scanners
/etc/rc.d/init.d/MailScanner
/usr/lib/MailScanner/
/usr/sbin/

%config(noreplace) /etc/sysconfig/MailScanner
%config(noreplace) /etc/MailScanner

%doc
/usr/share/man/man5/MailScanner.conf.5.gz
/usr/share/man/man8/MailScanner.8.gz

%changelog
* Mon Oct 10 2005 Felix Schwarz <Felix.Schwarz@web.de>
- Completely rewrote the install process

* Thu Jan 22 2004 Julian Field <mailscanner@ecs.soton.ac.uk>
- Changed version numbering scheme, added recipient spam/mcp reports

* Thu Jun 26 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added bitdefender-autoupdate

* Sun May 18 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added */inline.spam.warning.txt

* Thu May 15 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added bitdefender-wrapper

* Mon May 12 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added Hungarian (hu) translation

* Mon Apr 28 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added Czech (cz) translation

* Sat Mar 01 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added nod32 and kaspersky autoupdate scripts

* Sat Feb 15 2003 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added upgrade_MailScanner_conf script

* Fri Dec 27 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.11-1, added se translation

* Sun Nov 17 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.06-2, added EximDiskStore.pm and languages.conf

* Sun Nov 10 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.06-1, added /usr/sbin/df2mbox

* Sun Oct 27 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.03-1, added CustomConfig.pm and trend-wrapper

* Sun Oct 20 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.01-1

* Thu Oct 10 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.00.0a12

* Sat Oct 05 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added SweepContent.pm and updated for 4.00.0a9

* Fri Oct 04 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for RedHat 8.0

* Tue Oct 01 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added German reports

* Sun Sep 29 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Rewritten for MailScanner version 4

* Fri Jul 26 2002 Richard Keech <rkeech@ender.keech.cx>
- initial tested version

* Fri Jul 19 2002 Richard Keech <rkeech@redhat.com>
- v3.22 Re-packaged entirely.
